devel/libgit2 - The NetBSD Packages Collection

Portable, pure C implementation of the Git core methods

libgit2 is a portable, pure C implementation of the Git core methods provided as
a re-entrant linkable library with a solid API, allowing you to write native
speed custom Git applications in any language which supports C bindings.

Build dependencies

pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

devel/pcre2 security/libssh2 lang/python39 lang/python39 www/curl www/http-parser devel/pcre2 security/libssh2 www/curl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibgit2-1.1.0nb1.tgz
NetBSD 8.0earmv7hflibgit2-1.1.0.tgz
NetBSD 8.0earmv7hflibgit2-1.1.0nb1.tgz
NetBSD 8.0i386libgit2-1.1.0.tgz
NetBSD 8.0i386libgit2-1.1.0nb1.tgz
NetBSD 8.0powerpclibgit2-1.1.0.tgz
NetBSD 8.0powerpclibgit2-1.1.0nb1.tgz
NetBSD 8.0powerpclibgit2-1.1.0nb1.tgz
NetBSD 8.0powerpclibgit2-1.1.0nb1.tgz
NetBSD 8.0x86_64libgit2-1.1.0.tgz
NetBSD 8.0x86_64libgit2-1.1.0nb1.tgz
NetBSD 9.0aarch64libgit2-1.1.0nb1.tgz
NetBSD 9.0aarch64libgit2-1.1.0.tgz
NetBSD 9.0aarch64libgit2-1.1.0nb1.tgz
NetBSD 9.0alphalibgit2-1.1.0nb1.tgz
NetBSD 9.0alphalibgit2-1.1.0.tgz
NetBSD 9.0alphalibgit2-1.1.0nb1.tgz
NetBSD 9.0earmlibgit2-1.1.0.tgz
NetBSD 9.0earmlibgit2-1.1.0nb1.tgz
NetBSD 9.0earmlibgit2-1.1.0nb1.tgz
NetBSD 9.0earmv6hflibgit2-1.1.0nb1.tgz
NetBSD 9.0earmv6hflibgit2-1.1.0.tgz
NetBSD 9.0earmv6hflibgit2-1.1.0nb1.tgz
NetBSD 9.0earmv7hflibgit2-1.1.0nb1.tgz
NetBSD 9.0earmv7hflibgit2-1.1.0.tgz
NetBSD 9.0earmv7hflibgit2-1.1.0nb1.tgz
NetBSD 9.0earmv7hflibgit2-1.1.0nb1.tgz
NetBSD 9.0i386libgit2-1.1.0.tgz
NetBSD 9.0i386libgit2-1.1.0nb1.tgz
NetBSD 9.0i386libgit2-1.1.0nb1.tgz
NetBSD 9.0m68klibgit2-1.0.1.tgz
NetBSD 9.0m68klibgit2-1.1.0.tgz
NetBSD 9.0m68klibgit2-1.1.0nb1.tgz
NetBSD 9.0m68klibgit2-1.1.0nb1.tgz
NetBSD 9.0mips64eblibgit2-1.1.0nb1.tgz
NetBSD 9.0mips64eblibgit2-1.0.1.tgz
NetBSD 9.0mips64eblibgit2-1.1.0.tgz
NetBSD 9.0mips64eblibgit2-1.1.0.tgz
NetBSD 9.0mips64eblibgit2-1.1.0nb1.tgz
NetBSD 9.0mipsellibgit2-1.1.0nb1.tgz
NetBSD 9.0mipsellibgit2-1.1.0nb1.tgz
NetBSD 9.0powerpclibgit2-1.1.0nb1.tgz
NetBSD 9.0powerpclibgit2-1.1.0.tgz
NetBSD 9.0powerpclibgit2-1.1.0nb1.tgz
NetBSD 9.0powerpclibgit2-1.1.0nb1.tgz
NetBSD 9.0sh3ellibgit2-1.1.0nb1.tgz
NetBSD 9.0sh3ellibgit2-1.0.1.tgz
NetBSD 9.0sh3ellibgit2-1.1.0.tgz
NetBSD 9.0sh3ellibgit2-1.1.0.tgz
NetBSD 9.0sh3ellibgit2-1.1.0nb1.tgz
NetBSD 9.0sparc64libgit2-1.1.0nb1.tgz
NetBSD 9.0sparc64libgit2-1.1.0.tgz
NetBSD 9.0sparc64libgit2-1.1.0nb1.tgz
NetBSD 9.0sparclibgit2-1.1.0nb1.tgz
NetBSD 9.0sparclibgit2-1.0.1.tgz
NetBSD 9.0sparclibgit2-1.1.0.tgz
NetBSD 9.0sparclibgit2-1.1.0.tgz
NetBSD 9.0sparclibgit2-1.1.0nb1.tgz
NetBSD 9.0x86_64libgit2-1.1.0nb1.tgz
NetBSD 9.0x86_64libgit2-1.1.0nb1.tgz
NetBSD 9.0x86_64libgit2-1.1.0.tgz
NetBSD 9.0x86_64libgit2-1.1.0nb1.tgz
NetBSD 9.0x86_64libgit2-1.1.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.